# Variable Recurring Payments

These endpoints enable you to initiate Variable Recurring Payments (VRP). Note, that VRP is also available in Payments v2 API.

## Create a VRP consent

 - [POST /vrp-consents](https://docs.token.io/products/tpp/api/reference/variable-recurring-payments/createvrpconsent.md): The POST /vrp-consents endpoint creates a new VRP consent.

## Get VRP consents

 - [GET /vrp-consents](https://docs.token.io/products/tpp/api/reference/variable-recurring-payments/getvrpconsents.md): The GET /vrp-consents endpoint retrieves all VRP consents created by the calling member.

## Get a VRP consent

 - [GET /vrp-consents/{id}](https://docs.token.io/products/tpp/api/reference/variable-recurring-payments/getvrpconsent.md): The GET /vrp-consents/{id} endpoint retrieves the details for an individual VRP consent.

## Revoke a VRP consent

 - [DELETE /vrp-consents/{id}](https://docs.token.io/products/tpp/api/reference/variable-recurring-payments/revokevrpconsent.md): The DELETE /vrp-consents/{id} endpoint revokes an individual VRP consent.

## Get payments under a VRP consent

 - [GET /vrp-consents/{id}/payments](https://docs.token.io/products/tpp/api/reference/variable-recurring-payments/getvrpconsentpayments.md): The GET /vrp-consents/{id}/payments endpoint retrieves the payments under a given VRP consent.

## Verify if funds are available or not

 - [GET /vrps/{id}/confirm-funds](https://docs.token.io/products/tpp/api/reference/variable-recurring-payments/confirmfunds.md): The GET /vrps/{id}/confirm-funds endpoint confirms whether the funds are available to initiate VRP.

